Package org.apache.lucene.monitor

## Interface MatcherFactory<T extends QueryMatch>

- Type Parameters:
    `T` - a subclass of `CandidateMatcher`

      public interface MatcherFactory<T extends QueryMatch>

  Interface for the creation of new CandidateMatcher objects

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CandidateMatcher<T>` | `createMatcher​(IndexSearcher searcher)` | Create a new `CandidateMatcher` object, to select queries to match against the passed-in IndexSearcher

- - ### Method Detail

    - #### createMatcher

          CandidateMatcher<T> createMatcher​(IndexSearcher searcher)

      Create a new `CandidateMatcher` object, to select queries to match against the passed-in IndexSearcher